<?php
/**
 * The template for displaying posts in the Image post format
 *
 * @package Engotheme
 * @subpackage Happychild
 * @since Happychild 1.0
 */
?>	

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="media">
		<div class="post-preview pull-left">
			<?php happychild_fnc_post_thumbnail(); ?>
			<span class="post-format">
				<a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'image' ) ); ?>"><i class="fa fa-picture-o"></i></a>
			</span>
		</div>
		<div class="entry-content media-body">
			<header class="entry-header">
				<div class="entry-meta">
					<span class="entry-date">
					<span class="day"><?php the_time( 'd' ); ?></span>
		                <span><?php the_time( ' / F - Y' ); ?></span>
		            </span>
				</div><!-- .entry-meta -->
				<?php
					the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
				?>
			</header><!-- .entry-header -->
			<div class="readmore">
	        	<a href="<?php the_permalink(); ?>" title="<?php esc_html_e( 'Read More', 'happychild' ); ?>"><?php esc_html_e( 'Read More', 'happychild' ); ?></a>
	       </div>
		</div><!-- .entry-content -->
	</div>

</article><!-- #post-## -->


