<?php
/**
 * The template for displaying posts in the Image post format
 *
 * @package Engotheme
 * @subpackage Betterlife
 * @since Betterlife 1.0
 */
?>
<div class="posts-wrapper clearfix">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>					
	 	<div class="post-preview">
			<?php happychild_fnc_post_thumbnail(); ?>
			<span class="post-format">
				<a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'image' ) ); ?>"><i class="fa fa-picture-o"></i></a>
			</span>
		</div>
		<div class="entry-content">
			<header class="entry-header">
				<div class="entry-meta">
					<span class="entry-date">
					<span class="day"><?php the_time( 'd' ); ?></span>
		                <span><?php the_time( ' / F - Y' ); ?></span>
		            </span>
				</div><!-- .entry-meta -->
				<?php
					the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
				?>
			</header><!-- .entry-header -->
		</div><!-- .entry-content -->
	</article><!-- #post-## -->
</div>
