<?php if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ): ?>
	<div id="engo-logo" class="logo">
    	<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
			<?php the_custom_logo(); ?>
		</a>
	</div>
<?php elseif( happychild_fnc_theme_options('logo') ):  ?>
	<div id="engo-logo" class="logo">
	    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
	        <img src="<?php echo happychild_fnc_theme_options('logo'); ?>" alt="<?php bloginfo( 'name' ); ?>">
	    </a>
	</div>
<?php else: ?>
	<?php $header = apply_filters( 'happychild_fnc_get_header_layout', null ); ?>
    <div id="engo-logo" class="logo logo-theme">
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
             <img src="<?php echo get_template_directory_uri() . '/images/logo-'.$header.'.png'; ?>" alt="<?php bloginfo( 'name' ); ?>" />
        </a>
    </div>
<?php endif; ?>
