<?php

  $files = get_post_meta(get_the_ID(), 'portfolio_file_advanced');

  $galleries = array();
  
  foreach( $files as $id ){
      $img_src = wp_get_attachment_image_src( $id, 'full');
      if( $img_src){
        $galleries[] = $img_src[0];
      }
  }
  

  if($galleries):
      if(count( $galleries) >1){
        $class_col_1 = 'col-lg-8 col-md-8 col-sm-8 col-xs-12';
        $class_col_2 = 'col-lg-4 col-md-4 col-sm-4 col-xs-12';
      }else{
        $class_col_1 = '';
        $class_col_2 = '';
      }
  endif;
  
  $image_url = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );

  $number = 1; $_id  = rand();
  $check = get_post_meta( get_the_ID(), 'portfolio_check', true ); 
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php if($check){ ?><div class="portfolio-fullwidth"> <?php }else { ?><div class="portfolio-half"> <?php } ?> 
      
      <div class="portfolio-thumb"> 

        <div id="carousel-<?php echo esc_attr($_id); ?>" class="widget-content text-center  owl-carousel-play" data-ride="owlcarousel">
          <div class="owl-carousel " data-slide="<?php echo esc_attr($number); ?>" data-pagination="false" data-navigation="true" data-desktop="[1199,2]" data-desktopsmall="[980,1]" data-tablet="[768,1]">


                <?php foreach( $galleries as $_img ){ ?>
                  <div class="gallery-item">
                    <a href="<?php echo esc_url( $_img); ?>" data-rel="prettyPhoto[pp_gal]">
                      <img src="<?php echo esc_url_raw( $_img ) ?>" alt="<?php echo get_the_title(); ?>">
                    </a>
                  </div>
                <?php } ?>
          </div>
                
        </div> 

        <?php if(!$check){ ?>
        <?php wpopal_fnc_portfolio_information(); ?> 
     <?php } ?> 
      </div> 
    <div class="portfolio-body">
        <div class="portfolio-content">
            <h1 class="title-post"><?php the_title(); ?></h1>
            <div class="portfolio-meta">
                <?php the_content(); ?> 
                <?php get_template_part( 'page-templates/parts/sharebox' ); ?>
            </div>
        </div>
        <?php if($check){ ?>
            <?php wpopal_fnc_portfolio_information(); ?> 
         <?php } ?>
    </div>

<?php { ?></div><?php } ?> 
</article>