<?php
 $video = get_post_meta(get_the_ID(), 'portfolio_video_link',true);
 $check = get_post_meta( get_the_ID(), 'portfolio_check', true ); 
?>
  
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if($check){ ?><div class="portfolio-fullwidth"> <?php }else { ?><div class="portfolio-half"> <?php } ?>
        <div class="content-video">
            <div class="portfolio-thumb post-type-video">
                <?php if( $video ): ?>
            		<div class="video-thumb video-responsive">
            			<?php echo  wp_oembed_get( $video ); ?>
            		</div>
                <?php endif; ?>
                <?php if(!$check){ ?>
                    <?php wpopal_fnc_portfolio_information(); ?> 
                 <?php } ?>
        	</div>
            <div class="portfolio-body">
                <div class="portfolio-content">
                    <h1 class="title-post"><?php the_title(); ?></h1>
                    <div class="portfolio-meta">
                        <?php the_content(); ?> 
                        <?php get_template_part( 'page-templates/parts/sharebox' ); ?>
                    </div>
                </div>
                <?php if($check){ ?>
                    <?php wpopal_fnc_portfolio_information(); ?> 
                 <?php } ?> 
            </div>
        </div> 
    <?php { ?></div><?php } ?>    
 </article>