<?php
/**
 * The Footer Sidebar
 *
 * @package Engotheme
 * @subpackage Happychild
 * @since Happychild 1.0
 */

?>	
<?php if ( is_active_sidebar( 'social-footer' ) ||  is_active_sidebar( 'newsletter-footer' ) ) : ?>
<section class="footer-top">
	<div class="container">
		<div class="footer-top-inner">
			<div class="row">
				<?php if ( is_active_sidebar( 'social-footer' ) ) : ?>
				<div class="col-lg-6 col-md-6 hidden-sm hidden-xs">
					<?php dynamic_sidebar('social-footer'); ?>
				</div>
				<?php endif; ?>
				<?php if ( is_active_sidebar( 'newsletter-footer' ) ) : ?>
				<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
					<?php dynamic_sidebar('newsletter-footer'); ?>
				</div>
				<?php endif; ?>
			</div>
		</div>	
	</div>
</section>
<?php endif; ?>

<?php if ( is_active_sidebar( 'footer-1' ) ||  is_active_sidebar( 'footer-2' ) ||  is_active_sidebar( 'footer-3' ) ||  is_active_sidebar( 'footer-4' )  ) : ?>
<section class="footer-center">
	<div class="container">
		<div class="footer-bottom-inner row equal-height">
			<?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
			<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
				<div class="space-top-50 space-50">
					<?php dynamic_sidebar('footer-1'); ?>
				</div>
			</div>
			<?php endif; ?>

			<?php if ( is_active_sidebar( 'footer-2' ) ) : ?>				
			<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
				<div class="space-top-50 space-50">
						<?php dynamic_sidebar('footer-2'); ?>
				</div>
			</div>
			<?php endif; ?>

			<?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
			<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
				<div class="space-top-50 space-50">
					<?php dynamic_sidebar('footer-3'); ?>
				</div>
			</div>
			<?php endif; ?>

			<?php if ( is_active_sidebar( 'footer-4' ) ) : ?>
			<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 ">
				<div class="space-top-50 space-50">
					<?php dynamic_sidebar('footer-4'); ?>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
</section>

<?php endif; ?>
 