<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     Wordpress Opal Team <engowordpress@gmail.com >
 * @copyright  Copyright (C) 2015 prestabrain.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://engotheme.com
 * @support  http://engotheme.com/questions/
 */
// Display the widget title
if ( $title ) {
    echo sprintf( '%s', $before_title ) . trim( $title ) . sprintf( '%s', $after_title );
}
?>
<ul class="social list-unstyled list-inline bo-sicolor">
    <?php foreach( $socials as $key=>$social):
            if( isset($social['status']) && !empty($social['page_url']) ): ?>
                <li>
                    <a href="<?php echo esc_url($social['page_url']);?>" class="<?php echo esc_attr($key); ?>">
                        <i class="icon-<?php echo esc_attr($key); ?> bo-social-<?php echo esc_attr($key); ?>"></i><span> <?php echo esc_html( $social['name'] ); ?></span>
                    </a>
                </li>
    <?php
            endif;
        endforeach;
    ?>
</ul>