<?php



?>
<div class="team-wrapper clearfix">
	<article id="team-<?php the_ID(); ?>" <?php post_class(); ?>>		
		<div class="team-single ">
			<div class="team-content">
				<div class="team-info">
				 	<div class="team-preview">
						<?php happychild_fnc_post_thumbnail(); ?>
					</div><!-- .image-thumbnail -->
			
					<?php if( class_exists("Happychild_Opal_Team") ) : ?>	
					<?php $team = new Happychild_Opal_Team( get_the_ID() ); ?>
					<div class="text-center">
						<div class="team-job">
							<?php echo trim( $team->getJob() ); ?>
						</div>
						<div class="social">
							<a href="<?php echo esc_url( $team->getFacebook() ); ?>"><i class="fa fa-facebook"></i> </a>
							<a href="<?php echo esc_url( $team->getGoogle() ); ?>"><i class="fa fa-google"></i></a>
							<a href="<?php echo esc_url( $team->getTwitter() ); ?>"><i class="fa fa-twitter"></i></a>
							<a href="<?php echo esc_url( $team->getPinterest() ); ?>"><i class="fa fa-pinterest"></i></a>
						</div>
					</div>

					<ul class="metabox">
						<li class="address">
							<span><?php esc_html_e( 'Address : ', 'happychild' ); ?></span>
							<?php echo trim( $team->getAddress() ); ?></li>
						<li class="phone">
							<span><?php esc_html_e( 'Phone : ', 'happychild' ); ?></span>
							<?php echo trim( $team->getPhone() ); ?></li>
						<li class="mobile">
							<span><?php esc_html_e( 'Mobile : ', 'happychild' ); ?></span>
							<?php echo trim( $team->getMobile() ); ?></li>
						<li class="fax">
							<span><?php esc_html_e( 'Fax : ', 'happychild' ); ?></span>
							<?php echo trim( $team->getFax() ); ?></li>
						<li class="web">
							<span><?php esc_html_e( 'Web : ', 'happychild' ); ?></span>
							<?php echo trim( $team->getWeb() ); ?></li>
						<li class="email">
							<span><?php esc_html_e( 'Email : ', 'happychild' ); ?></span>
							<?php echo get_post_meta(get_the_ID(),'team_email','true'); ?></li>
					</ul>
					<?php endif; ?>
				</div>
				<div class="team-body">
					
					<?php the_title( '<h1 class="team-title">', '</h1>' ); ?>
					<?php
						the_content( sprintf(
							esc_html__( 'Continue reading %s', 'happychild').'<span class="meta-nav">&rarr;</span>',
							the_title( '<span class="screen-reader-text">', '</span>', false )
						) ); 
					?> <!-- .the-content -->

					<?php if( happychild_fnc_theme_options('blog-show-share-post', true) ){
						get_template_part( 'page-templates/parts/sharebox' );
					} ?>
				</div><!-- .team-header -->

			</div><!-- .team-content -->

		</div>
	</article><!-- #team-## -->

</div>

