<?php

$atts = array_merge( array( 'wrap_class' => '', 'show_link' => '','columns'=> '' ,'skins'=> '','style' => ''), $atts); 
extract( $atts );

$_id = time().rand();

$col = floor(12/$columns);
$columns='col-lg-'.$col.' col-md-'.$col.' col-sm-'.$col.'';
if( isset( $options ) ):

?>

<div class="banners-widget <?php echo esc_attr( $wrap_class ); ?>" >
	<div class="row">
		<?php 
		foreach ($options as $item): 
			$image_full_width = wp_get_attachment_image_src( $item->image, 'full' ); 
			$image_full = $image_full_width[0];
		?>
			<div class="<?php echo esc_attr($columns); ?>">
				<div class="banner-item banner-<?php echo esc_attr($item->style); ?> banners-skins<?php echo esc_attr($item->skins); ?>">
					<?php if($item->style == 'default'){ ?>
						<div class="banner-image">	
							<img src="<?php echo esc_url_raw( $image_full ); ?>">
						</div>
						<div class="banner-content">
							<div class="banner-info">
								<div class="description"><?php echo trim($item->description); ?></div>
								
							</div>
							<div class="banner-title">
								<span class="sub-title"><?php echo trim($item->sub_title); ?></span>
								<h3 class="title"><?php echo trim($item->title); ?></h3>
								<?php if($show_link == 'yes'): ?>
									<a class="link-banner" href="<?php echo esc_url($item->link); ?>"></a>
								<?php endif; ?>	
							</div>
						</div>
					<?php }elseif($item->style == 'left'){ ?>
						<div class="banner-image">	
							<img src="<?php echo esc_url_raw( $image_full ); ?>">
						</div>
						<div class="banner-content">
							<div class="banner-title">
								<span class="sub-title"><?php echo trim($item->sub_title); ?></span>
								<h3 class="title"><?php echo trim($item->title); ?></h3>
							</div>
							<div class="banner-info">
								<div class="description"><?php echo trim($item->description); ?></div>
								
							</div>
							<?php if($show_link == 'yes'): ?>
								<a class="btn btn-<?php if($item->skins == 'default'){ echo esc_html('default');}else{ echo esc_html('light');} ?>" href="<?php echo esc_url($item->link); ?>"> <?php esc_html_e("Learn more", 'happychild')?></a>
							<?php endif; ?>	
						</div>

					<?php } else { ?>
						<div class="banner-content">
							<div class="banner-title">
								<span class="sub-title"><?php echo trim($item->sub_title); ?></span>
								<h3 class="title"><?php echo trim($item->title); ?></h3>
							</div>
							<div class="banner-info">
								<div class="description"><?php echo trim($item->description); ?></div>
								
							</div>
							<?php if($show_link == 'yes'): ?>
								<a class="btn btn-<?php if($item->skins == 'default'){ echo esc_html('default');}else{ echo esc_html('light');} ?>" href="<?php echo esc_url($item->link); ?>"> <?php esc_html_e("Learn more", 'happychild')?></a>
							<?php endif; ?>	
						</div>
						<div class="banner-image">	
							<img src="<?php echo esc_url_raw( $image_full ); ?>">
						</div>
					<?php } ?>
				</div>
			</div>
		<?php endforeach; ?>
	</div>
</div>
<?php endif; ?>
