<?php 
	$atts  = array_merge( array(
        'items'     => 8,
        'columns'   => 4,
        'title'     => 'Team Grid',
        'el_class'  => '',
        'style'     => 'default',
        'show_viewall' => 'yes',
        'category' => '',
    ), $atts); 
	extract( $atts );

	$query = wpopal_fnc_team_query( $atts ); 

	$_id = rand();
	$bscol = floor( 12/$columns );
	$class_column = 'col-lg-'.$bscol.' col-md-'.$bscol.' col-sm-6 col-xs-12';
?>


<?php if($query->have_posts()){ ?>
	<div class="team-collection team-<?php echo esc_attr($style);?>">
		<?php $i =0; while($query->have_posts()){  $query->the_post(); ?>
			
			<?php if(  $i++%$columns==0 ) {  ?><div class="row"><?php } ?>

			<div class="<?php echo esc_attr( $class_column ); ?>" >  
				<!-- start items -->
				<?php 
					$data = array( 'google', 'job', 'phone_number', 'facebook', 'twitter', 'pinterest' );
					foreach( $data as $item ){
						$$item =  get_post_meta( get_the_ID(), 'team_'.$item, true ); 
					} 
				?>
				<div class="team-item clearfix">
				<div class="bo-social-icons">
							<?php if( $facebook ){  ?>
							<a class="bo-social-white radius-x" href="<?php echo esc_url( $facebook ); ?>"> <i class="icon-facebook"></i> </a>
								<?php } ?>
							<?php if( $twitter ){  ?>
							<a class="bo-social-white radius-x" href="<?php echo esc_url( $twitter ); ?>"><i class="icon-twitter"></i> </a>
							<?php } ?>
							<?php if( $pinterest ){  ?>
							<a class="bo-social-white radius-x" href="<?php echo esc_url( $pinterest ); ?>"><i class="icon-pinterest"></i> </a>
							<?php } ?>
							<?php if( $google ){  ?>
							<a class="bo-social-white radius-x" href="<?php echo esc_url( $google ); ?>"> <i class="icon-google-plus"></i></a>
							<?php } ?>  
						</div>
					<?php if( has_post_thumbnail() ): ?>
					<div class="team-header">
					  <a href="<?php echo esc_url( get_permalink() );?>"><?php the_post_thumbnail('full', '', 'class="radius-x"');?> </a>
					</div>	 
					<?php endif;  ?>
					<div class="team-body">
						<div class="team-body-content">
						  <h3 class="team-name"><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title(); ?></a></h3>
							<span class="team-job"><?php echo esc_html( $job ); ?></span>
						</div> 
						 
						
					</div>
				</div>
				<!-- end items -->
			</div>
			

			<?php if(  ($i%$columns==0) || $i == $query->post_count) { ?></div><?php } ?>
		
		<?php } ?>
	</div>
	<?php if( $show_viewall === 'yes') { ?>
		<div class="text-center">
			<a class="btn btn-default" href="<?php echo esc_url( get_post_type_archive_link( 'team' ) ); ?>">
				<?php esc_html_e('View all', 'happychild');?>
			</a>
		</div>
	<?php } ?>

<?php } else { ?>
<p><?php printf( esc_html__( 'There are no item.', 'happychild' ) ); ?></p>
<?php } ?>

<?php wp_reset_postdata(); ?>